<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	// load core files
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// check if settings already exists and if so, load it, otherwise set parameters to default values
	if(file_exists("settings.php")){
		include("settings.php");
	}

	if(!isset($delayData)){
		$delayData = "20";
	}
	
	if(!isset($notificationEmailTo)){
		$notificationEmailTo = "xxx@email.com";
	}
	if(!isset($notificationEmailFrom)){
		$notificationEmailFrom = "xxx@email.com";
	}
	if(!isset($emailTextOffline)){
		$emailTextOffline = "Station is offline. Last data was received at %Last%.";
	}
	if(!isset($emailSubjectOffline)){
		$emailSubjectOffline = "Warning from Meteotemplate : your station is offline.";
	}
	if(!isset($emailTextOnline)){
		$emailTextOnline = "Station is back online. It was offline during %Offline% ";
	}
	if(!isset($emailSubjectOnline)){
		$emailSubjectOnline = "Good news from Meteotemplate : your station is back online.";
	}
	if(!isset($enableEmailNotificationOffline)){
		$enableEmailNotificationOffline = true;
	}
	if(!isset($enableEmailNotificationOnline)){
		$enableEmailNotificationOnline = true;
	}
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1>WatchDog - Setup</h1>
			<form method="POST" action="saveSettings.php" target="_blank">
			Send email when no data is received after : <input class="button2" value="<?php echo $delayData?>" name="delayData"> min (must be higher than 5min + your database update cron interval)
			<br>
			Setup a cron that call the page <?php echo $pageURL?>/plugins/watchDog/watchDog.php every X min. <br/>In the text of the email, use %Last%  for the last time the station was online and %Offline% for the duration of the outage (in hr min s).
			<br>
			<table style="width:98%;margin: 0 auto" cellspacing="3">
				<tr>
					<td style="vertical-align:top">
						<h2>Email settings</h2>
						<table style="width:98%;margin:0 auto">

							<tr>
								<td style="text-align:left">
									Email address (To):
								</td>
								<td style="text-align:left">
									<input class="button2" value="<?php echo $notificationEmailTo?>" name="notificationEmailTo" style="width:60%;text-align:left" id="notificationEmailTo">
								</td>
							</tr>
							<tr>
								<td style="text-align:left">
									Email address (From):
								</td>
								<td style="text-align:left">
									<input class="button2" value="<?php echo $notificationEmailFrom?>" name="notificationEmailFrom" style="width:60%;text-align:left">
								</td>
							</tr>
							<tr>
								<td style="text-align:left">
									Send email when station goes offline
								</td>
								<td style="text-align:left">
									<select name="enableEmailNotificationOffline" class="button2">
										<option value="true" <?php if($enableEmailNotificationOffline){echo "selected";}?>>Yes</option>
										<option value="false" <?php if(!$enableEmailNotificationOffline){echo "selected";}?>>No</option>
									</select>
								</td>
							</tr>
							<tr>
								<td style="text-align:left">
									Subject for offline email
								</td>
								<td style="text-align:left">
									<input id="emailSubjectOffline" name="emailSubjectOffline" style="width:60%;text-align:left" class="button2" value="<?php echo $emailSubjectOffline?>"/>
								</td>
							</tr>
							<tr>
								<td style="text-align:left">
									Text for offline email
								</td>
								<td style="text-align:left">
									<textarea id="emailTextOffline" name="emailTextOffline" cols="80" rows="5" class="button2" style="text-align:left;cursor:auto"><?php echo $emailTextOffline?></textarea>
								</td>
							</tr>
												<tr>
								<td style="text-align:left">
									Send email when station goes back online
								</td>
								<td style="text-align:left">
									<select name="enableEmailNotificationOnline" class="button2">
										<option value="true" <?php if($enableEmailNotificationOnline){echo "selected";}?>>Yes</option>
										<option value="false" <?php if(!$enableEmailNotificationOnline){echo "selected";}?>>No</option>
									</select>
								</td>
							</tr>
							<tr>
								<td style="text-align:left">
									Subject for back online email
								</td>
								<td style="text-align:left">
									<input id="emailSubjectOnline" name="emailSubjectOnline" style="width:60%;text-align:left" class="button2" value="<?php echo $emailSubjectOnline?>"/>
								</td>
							</tr>
							<tr>
								<td style="text-align:left">
									Text for back online email
								</td>
								<td style="text-align:left">
									<textarea id="emailTextOnline" name="emailTextOnline" cols="80" rows="5" class="button2" style="text-align:left;cursor:auto"><?php echo $emailTextOnline?></textarea>
								</td>
							</tr>
							<tr>
								<td colspan="2" style="text-align:left">
									In order for the email notifications to work your server must have the mail server installed properly. You can check it by clicking the Test Email link below. If you do not receive the test email within a few minutes it means the mail server is probably not working and so the notification emails will also not work.<br><br>
									<a href="#"><span id="testMailSend">Send Test Email</span></a>
								</td>
							</tr>
						</table>
					</td>
					</tr>
					
				</table>				
				<br>
				<div style="width:50%;text-align:center;margin:0 auto">
					<input type="submit" value="Save" class="button2">
				</div>
				<br><br>
				</form>
		</div>
		<?php include($baseURL."footer.php")?>
		<script>
			$("#testMailSend").click(function(){
				mailAddress = $("#notificationEmailTo").val();
				window.open("testNotificationEmail.php?address="+encodeURIComponent(mailAddress));
			})
		</script>
	</body>
</html>