<?php 

	include("../../config.php");
	include("../../scripts/functions.php");
	

	// load settings
	if(!file_exists("./settings.php")){
		echo "Missing settings file, create one using the plugin setup.";
		die();
	}
	else{
		include("./settings.php");
	}

	if(!file_exists("./status.txt")){			
		$lastStatus = 'Online';		
	}
	else{
		$lastStatus = trim(file_get_contents("./status.txt"));
	}
	
	function convert_to_string_time($num_seconds)
	{ 
		$seconds = $num_seconds % 60;
		$min = floor( $num_seconds / 60 );
		if( $min == 0 ) {			
			return "{$seconds} s";
		}
		else {
			$hr = floor( $min / 60 );
			if( $hr == 0 ) {
				return "{$min}min {$seconds}s";
			}
			else {
				$min = $min % 60;
				return "{$hr}hr {$min}min {$seconds}s";
			}			
		}
	}


	if(!file_exists("./lastOnline.txt")){
		$lastOnline = time();
		$timeOffline = '0 s';		
	}
	else{
		$lastOnline = trim(file_get_contents("./lastOnline.txt"));	
		$timeOffline = convert_to_string_time(time() - $lastOnline);		
	}

	// get last db update
	$a = mysqli_query($con,"
		SELECT DateTime
		FROM alldata
		ORDER BY DateTime DESC
		LIMIT 1
	");

	while($row = mysqli_fetch_array($a)){
		$records[] = strtotime($row['DateTime']);		
		$lastDB = strtotime($row['DateTime']);
		$lastOnlineString = $row['DateTime'];
	}

	
	$maxInterval = $delayData;

	$difference = time() - $lastDB;
	echo "Time is " . gmdate("M d Y H:i:s", time())  . PHP_EOL;
	echo "Last DB update is " . gmdate("M d Y H:i:s", $lastDB) . PHP_EOL;
	echo "Time elapsed since last database update " . convert_to_string_time($difference) . PHP_EOL;
	$delay = $difference / 60;

    if ($delay>$maxInterval) {
		$currentStatus = 'Offline';
	}	
	else{
		$currentStatus = 'Online';
	}

	if ($currentStatus=='Online') {
		file_put_contents("./lastOnline.txt",$lastDB); // log the current status
	}
	if($currentStatus==$lastStatus){
		echo "Status has not changed, Station is currently ".$currentStatus;		
	}
	else {				
			$sendEmail = 'false';

		
			if (($enableEmailNotificationOffline) && ($currentStatus=='Offline')){
				    $sendEmail =  'true';					
					$emailText = $emailTextOffline;
					$emailText = str_replace("%Last%",$lastOnlineString,$emailText);					
					
					$emailSubject = str_replace("%Last%",$lastOnlineString,$emailSubjectOffline); 
					$emailFrom = $notificationEmailFrom;
					$emailTo = $notificationEmailTo;
					$emailMessage = $emailText;
			}
			if (($enableEmailNotificationOnline) && ($currentStatus=='Online')){
				    $sendEmail =  'true';					
					$emailText = $emailTextOnline;
					$emailText = str_replace("%Offline%",$timeOffline,$emailText);
					
					// try sending email
					$emailSubject = str_replace("%Offline%",$timeOffline,$emailSubjectOnline); 
					$emailFrom = $notificationEmailFrom;
					$emailTo = $notificationEmailTo;
					$emailMessage = $emailText;
			}
			
			if ($sendEmail=='true') {
					
					$emailNotificationHeaders = "Content-type:text/html;charset=UTF-8" . "\r\n";
					$emailNotificationHeaders .= "From: ".$emailFrom."\r\n";
					mail($emailTo,$emailSubject,$emailMessage,$emailNotificationHeaders);
					echo "Mail sent to: ".$emailTo."<br>Subject: ".$emailSubject."<br>Email text: ".$emailMessage."<br><br>";
			}			
			
		}
		file_put_contents("./status.txt",$currentStatus); // log the current status
?>
